View Issue Details

IDProjectCategoryView StatusLast Update
0000548bareos-core[All Projects] webuipublic2016-07-05 12:25
ReporterprotopopysAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version6
Product Version 
Fixed in Version 
Summary0000548: Unable to use "Restore" function in bareos-webui (Error: Restore Job resource "Restore" does not exist.)
DescriptionI get "Error: Restore Job resource "Restore" does not exist." error message when try to restore files.
Additional InformationPHP 5.6.15
Bareos WebUI Version 15.2.1
Zend 2.4.8



TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Relationships

child of 0000625 closedmaik Release bareos-15.2.3 

Activities

protopopys

protopopys

2015-10-29 21:26

reporter  

bareos-webui.error (299,008 bytes)
frank

frank

2015-10-30 14:49

manager   ~0001900

Do you have at least one working restore job defined in your configuration (bareos-dir.conf)?

E.g.

Job {
  Name = "Restore Job"
  Type = Restore
  Client = client-001-fd
  FileSet = "Linux All"
  Storage = File
  Pool = Incremental
  Messages = Standard
  Where = /tmp/bareos-restores
}

Regards,
Frank
protopopys

protopopys

2015-10-30 15:09

reporter   ~0001901

Yes of course.

Job {
  Name = "Backup list installed packages"
  JobDefs = "DefaultJob"
  FileSet = "Packages"
  RunBeforeJob = "/etc/bareos/scripts/upload_package_list.sh"
  RunAfterJob = "/etc/bareos/scripts/deleting_package_list.sh"
}
Job {
  Name = "Package list"
  Type = Restore
  Client = goblin-fd
  FileSet = "Packages"
 # RunAfterJob = "/etc/bareos/scripts/install_package_list.sh"
  Storage = goblin-sd
  Pool = goblin-incremental
  Messages = Standard
  Where = /tmp/bareos-restores
}
FileSet {
  Name = "Packages"
  Include {
    Options {
      compression = GZIP
      signature = MD5
    }
    File = "/backup/installed" # installed packages dump/
  }
}
frank

frank

2015-12-18 12:14

manager   ~0002041

Are all your restore jobs listed if you execute '.jobs type=R' in bconsole?
protopopys

protopopys

2015-12-18 17:13

reporter   ~0002048

I'm solved the error. If restore name have a space - i'm have an error ( Name = "Package list"). If name doesn't have a space - all is ok (Name = "PackageList") Thank you for your time.
frank

frank

2015-12-18 17:41

manager   ~0002049

Names containing whitespaces should also be possible in this case so you discovered a bug which needs a fix, thanks for your report.
frank

frank

2016-01-21 12:27

manager   ~0002136

Last edited: 2016-02-26 13:22

View 2 revisions

This will be fixed in 15.2.3 .

frank

frank

2016-05-06 18:25

manager   ~0002257

Fix committed to bareos-webui master branch with changesetid 6255.

Related Changesets

bareos-webui: master e3641ae3

2016-02-26 13:42:46

frank

Ported: N/A

Details Diff
Bugfix 0000548

Adds missing quotes around the restore job name to allow names including whitespaces.

Fixes 0000548: Unable to use "Restore" function in bareos-webui (Error: Restore Job resource "Restore" does not exist.)
Affected Issues
0000548
mod - vendor/Bareos/library/Bareos/BSock/BareosBSock.php Diff File

Issue History

Date Modified Username Field Change
2015-10-29 21:26 protopopys New Issue
2015-10-29 21:26 protopopys Status new => assigned
2015-10-29 21:26 protopopys Assigned To => frank
2015-10-29 21:26 protopopys File Added: bareos-webui.error
2015-10-30 14:49 frank Note Added: 0001900
2015-10-30 15:09 protopopys Note Added: 0001901
2015-12-18 12:14 frank Note Added: 0002041
2015-12-18 12:21 frank Status assigned => feedback
2015-12-18 17:13 protopopys Note Added: 0002048
2015-12-18 17:13 protopopys Status feedback => assigned
2015-12-18 17:41 frank Note Added: 0002049
2015-12-18 17:42 frank Status assigned => acknowledged
2016-01-21 12:27 frank Note Added: 0002136
2016-01-21 12:27 frank Status acknowledged => feedback
2016-02-26 13:22 frank Note Edited: 0002136 View Revisions
2016-02-26 13:49 frank bareos-master: impact => yes
2016-02-26 13:49 frank bareos-master: action => will care
2016-02-26 13:49 frank bareos-15.2: impact => yes
2016-02-26 13:49 frank bareos-15.2: action => fixed
2016-02-26 13:49 frank Status feedback => closed
2016-02-26 13:49 frank Assigned To frank =>
2016-02-26 13:49 frank Resolution open => fixed
2016-03-09 14:43 maik Relationship added child of 0000625
2016-05-06 18:25 frank Changeset attached => bareos-webui master e3641ae3
2016-05-06 18:25 frank Note Added: 0002257
2016-05-06 18:25 frank Status closed => resolved
2016-06-20 15:34 joergs bareos-master: action will care => fixed
2016-06-20 15:34 joergs Status resolved => closed
2016-07-05 12:25 joergs bareos-14.2: impact => no
2016-07-05 12:25 joergs bareos-13.2: impact => no
2016-07-05 12:25 joergs bareos-12.4: impact => no